use std::fs::File;
use std::io::prelude::*;

use rand::rngs::OsRng;
use ed25519_dalek::SigningKey;
//use ed25519_dalek::Signature;

fn main() ->  std::io::Result<()>{
    let filename = std::env::args().nth(1).expect("no filename given");

    //let mut csprng = OsRng;
    // let signing_key: SigningKey = SigningKey::generate(&mut csprng);

    // let mut file = File::create(filename)?;
    // file.write_all(&signing_key.to_bytes())?;

    let mut f = File::open(&filename).expect("no file found");
    //let metadata = File::metadata(&f).expect("unable to read metadata");
    let mut buffer: [u8; 32] = [0; 32];
    f.read(&mut buffer).expect("buffer overflow");
    let signing_key: SigningKey = SigningKey::from_bytes(&buffer);

    println!("Using key {filename}");
    Ok(())
}
